Oore CI

Get notification channel

Returns details for a single notification channel.

Operation IDget_notification_channel
GET
/v1/settings/notification-channels/{id}

Returns details for a single notification channel.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Channel ID

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/settings/notification-channels/string"
{  "channel": {    "channel_type": "webhook",    "created_at": 0,    "created_by": "string",    "enabled": true,    "events": [      "string"    ],    "has_secret": true,    "has_smtp_config": true,    "has_url": true,    "id": "string",    "name": "string",    "project_id": "string",    "slack_mentions": [      {        "identity": "string",        "member_id": "string"      }    ],    "smtp_summary": null,    "updated_at": 0,    "url_host": "string"  }}